services:
    d2_fpdutoit_service_definition_manager:
        class:          D2\FPDuToitBundle\DependencyInjection\Services\ServiceDefinitionManager
        arguments:      [@service_container, @doctrine.orm.entity_manager]

    d2_fpdutoit_partner_file_manager:
        class:          D2\FPDuToitBundle\DependencyInjection\Services\PartnerFileManager
        arguments:      [@service_container, @doctrine.orm.entity_manager]

    d2_fpdutoit_waybill_manager:
        class:          D2\FPDuToitBundle\DependencyInjection\Services\WaybillManager
        arguments:      [@service_container, @doctrine.orm.entity_manager, @d2_fpdutoit_service_definition_manager, @d2_calc_manager]

    d2_fpdutoit_bundle.twig.fpdutoit_extension:
        class:          D2\FPDuToitBundle\Twig\FPDuToitTwigExtension
        arguments:      [@doctrine, @service_container, @d2_fpdutoit_partner_file_manager, @d2_fpdutoit_service_definition_manager]
        tags:
            - { name: twig.extension }

    # With Selected Extensions
    d2_fpdutoit_bundle.waybill_with_selected.extension:
        class:          D2\FPDuToitBundle\DependencyInjection\Services\WaybillsWithSelectedExtension
        arguments:      [@doctrine, @service_container]
        tags:
            - { name: d2.with_selected, alias: fpdutoit_list }
            - { name: d2.with_selected, alias: fpdutoit_waybill }
